# Y:/msp/devkits/temp_geotrans/master/geotrans3.1/CCS/src/CoordinateConversion/CoordinateConversionService.h File Reference

`#include <vector>`
`#include "CoordinateType.h"`
`#include "Precision.h"`
`#include "SourceOrTarget.h"`
`#include "CoordinateTuple.h"`

Go to the source code of this file.

## Classes

struct | MSP::CCS::Color
class | MSP::CCS::CoordinateConversionService
struct | MSP::CCS::CoordinateConversionService::CCSData
union | MSP::CCS::CoordinateConversionService::Parameters
union | MSP::CCS::CoordinateConversionService::Coordinates
struct | MSP::CCS::CoordinateConversionService::Coordinate_System_Row
struct | MSP::CCS::CoordinateConversionService::Coordinate_State_Row

## Namespaces

namespace | MSP
namespace | MSP::CCS

## Variables

const int | MSP::CCS::NUMBER_COORD_SYS = 37
const int | MSP::CCS::COORD_SYS_CODE_LENGTH = 3
const int | MSP::CCS::COORD_SYS_NAME_LENGTH = 50
const int | MSP::CCS::DATUM_CODE_LENGTH = 7
const int | MSP::CCS::DATUM_NAME_LENGTH = 33
const int | MSP::CCS::ELLIPSOID_CODE_LENGTH = 3
const int | MSP::CCS::ELLIPSOID_NAME_LENGTH = 30
const int | MSP::CCS::CONVERT_MSG_LENGTH = 2048
const int | MSP::CCS::RETURN_MSG_LENGTH = 256